using Autoscribe.Lyons.GeneralService;
using Autoscribe.Lyons.RTNService;


namespace RtnDemo.Wrapper
{
    interface IRTNServiceWrapper
    {
        LogonResult Logon(int companyId, string username, string password);
        void Logoff(string token);
        BooleanResult VerifyRTN(string token, string rtn, string country, bool includeInactive, bool includeHistory);       
        BooleanResult VerifyWire(string token, string rtn, string country, bool includeInactive, bool includeHistory);
        InstitutionListResult GetInstitutionsDetailsPrimaryFirst(string token, string rtn, string country, bool includeInactive, bool includeWireSearch, bool includeHistory);

        InstitutionResult GetPrimaryInstitutionDetails(string token, string rtn, string country, bool includeInactive, bool includeWireSearch,
            bool includeHistory);
        InstitutionResult GetInstitutionDetailsById(string token, int institutionId, bool includeHistory);

        InstitutionListResult GetInstitutionsDetailsBySwift(string token, string swift, string country, bool includeInactive, bool includeHistory);

    }
}
